% Calculation of the real and financial shares of transactions cost 

%read in data
% column 1 demand deposits
% column 2 other checkable deposits
% column 3 reserves of depository institutions
% column 4 prime rate
% column 5 Treasury bill rate
% column 6 Treasury securities held by depository institutions
% Both interest rates are in percent per annum (e.g. 5.0 = 5%)
% Deposits are in 10^9
% Reserves and Treasury holdings are in 10^6
% Row 1 is 81Q1, Row 112 is 08Q4

A=xlsread('rcpdata.xlsx');

%Parameter estmates from reserve demand regression
ATC = 1.0/22.91; 
d200109 = 2.65;
dcrisis = 3.45;
v200810 = 1.96;

vstar(1:112,1) = exp(log(v200810)+dcrisis);
vstar(83,1)= exp(log(v200810)+d200109);

istart = 1;
iend = 111;

vst=vstar(istart:iend,1);
dep = (A(istart:iend,1)+A(istart:iend,2))*1000;
res = A(istart:iend,3);

vel=dep./res;
total=dep.*(ATC./vel).*((vel-vst)./vst - log(vel./vst));
fin = ((A(istart:iend,4)-A(istart:iend,5))/400).*A(istart:iend,6);
mrcp = 1 - mean(fin./total)

