function [gamma]=res_int_gamma(nbeta,sig,rot,phim,phic,phid,chi,ATC,vstar,sub,rcp,theta)

% This function computes the value of gamma implied by a given value of delta 
% and given parameter values.

% The values of ibs and irs are based on the initial calibration (irs=1 and
% pis=1.007) to be consistent with the sample value chosen for delta 
% rather than on the optimal steady state determined by the Ramsey planner.

pis = 1.007;
irs = 1.0;
delta = 0.01;

ibs = pis/nbeta; 
vels = vstar + (ibs-irs)/(ATC*ibs);
taus = (ATC/exp(vels))*(exp(vels)/exp(vstar)-1-vels+vstar);
ids = ibs*(1-ATC*(1/exp(vstar)-1/exp(vels)));

iLs = ibs/(1-delta);
ws = rot*(pis-1)*pis*(1-nbeta)*(1-delta)/sig + (1/iLs)*sub*(sig-1)/sig;
ns = (ws*(phim+phic*ibs+phid*(1+rcp*taus)*ibs/(1+ibs-ids))/(1-delta)*(1-(rot/2)*(pis-1)^2))^(1/(1+chi));
gamma = delta/(ws*ns)^theta;
%gamma in the notes is zLs in the code
